package jvm.gc;

/**
 * VM Args: -verbose:gc -Xmx20M -Xms20M -Xmn10M -Xlog:gc+age=trace -XX:SurvivorRatio=8 -XX:MaxTenuringThreshold=1
 * -verbose:gc -Xmx20M -Xms20M -Xmn10M -Xlog:gc+age=trace -XX:SurvivorRatio=8 -XX:MaxTenuringThreshold=15
 */
@SuppressWarnings("unused")
public class TenuringThreshold {
    public static final int _1MB = 1024 * 1024;

    public static void testTenuringThreshold() {
        byte[] allocation1, allocation2, allocation3;

        allocation1 = new byte[_1MB / 4];
        allocation2 = new byte[4 * _1MB];
        allocation3 = new byte[4 * _1MB];
        allocation3 = null;
        allocation3 = new byte[4 * _1MB];
    }

    public static void main(String[] args) {
        testTenuringThreshold();
    }
}
